Subject: bug#40952: gnuradio-osmosdr: no hook into gnuradio block directory?

From: Guillaume Le Vaillant <[email-masked]>
Date: Thu, 30 Apr 2020 11:03:42 +0200

Christopher Howard <[email-masked]> skribis:

> I can see the osmosdr sink, insert it into the flow graph, and change
> the settings. However, when trying to build the flow graph, I receive
> the following error. Apparently you need to also update whatever
> environment variable controls the python module load path.
>
> <<< Welcome to GNU Radio Companion 3.8.0.0 >>>
>
> Block paths:
> 	/home/christopher/.guix-profile/share/gnuradio/grc/blocks
> 	/gnu/store/h2igg2gcbx6ds8wbvlkqz0dkplvwjxbd-gnuradio-
> 3.8.0.0/share/gnuradio/grc/blocks
>
> Generating: '/home/christopher/Scratch/test.py'
>
> Executing: /gnu/store/c0ysvb6s92kwwnmkgdhnspllxvd3f231-python-
> 3.7.4/bin/python3 -u /home/christopher/Scratch/test.py
>
> Warning: failed to XInitThreads()
> Traceback (most recent call last):
>   File "/home/christopher/Scratch/test.py", line 33, in <module>
>     import osmosdr
> ModuleNotFoundError: No module named 'osmosdr'
>
>>>> Done (return code 1)

I pushed a patch to set PYTHONPATH in the profile when gnuradio is
intalled (commit f03e5ca59f2f099693def2c8e6ff409e5b4ed40a). I guess
I had another installed package that had set it, because I didn't get
this error.
Could you try if it works for you?